libraw1394: version 2.0.4
Prev |  | Next

# raw1394_get_generation

## Name

raw1394_get_generation -- get generation number of handle

## Synopsis

``unsigned int raw1394_get_generation` (raw1394handle_t handle);`

## Arguments

`handle`

  libraw1394 handle

## Description

The generation number is incremented on every bus reset, and every transaction started by raw1394 is tagged with the stored generation number. If these don't match, the transaction will abort with an error. The generation number of the handle is not automatically updated, `raw1394_update_generation` has to be used for this.

## Returns

the generation number associated with the handle or UINT_MAX on failure.

Prev | Home | Next
raw1394_set_bus_reset_handler | Up | raw1394_update_generation